Bug Hunting Session
Bug 87437 - track changes - accepting change in MS Word merges tables cells
Summary: track changes - accepting change in MS Word merges tables cells
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords: bisected
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2014-12-18 11:44 UTC by Justin L
Modified: 2017-04-13 14:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
MSWord sample document (32.50 KB, application/vnd.ms-word)
2014-12-18 11:44 UTC, Justin L
Details
another testcase. Replicated: beginning with Word 2013 and simple table (27.00 KB, application/vnd.ms-word)
2014-12-18 12:16 UTC, Justin L
Details
review pane results: page1=no LibreOffice, no error. Page2=LibreOffice save alteration (18.75 KB, application/pdf)
2014-12-18 12:31 UTC, Justin L
Details
fairly comprehensive testing suite with results PDF (37.05 KB, application/zip)
2015-04-14 14:26 UTC, Justin L
Details
slightly expanded comprehensive testing document (55.00 KB, application/msword-template)
2015-04-16 11:00 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2014-12-18 11:44:21 UTC
Created attachment 110980 [details]
MSWord sample document

In this "track changes" document, if LibreOffice saves the file (even without making any changes), then when Word "accepts all changes" some cells in the table are merged.  Word 2003 and 2013 were tested.

The sample is the original document (completely untouched by LibreOffice), created by Word 2003, with track changes enabled.  The change to be accepted was also made in Word.

If LibreOffice is not involved, the table is not mangled when the changes are accepted.  If LibreOffice saves as .docx format, the table is not mangled when the changes are accepted.

Steps to reproduce:
0.)  Open document in word.  Review - accept all changes.  Table should not look mangled at all.  Close document WITHOUT saving.
1.)  open document in LibreOffice
2.)  "save as" a different name
3.)  Open new document in word.  Review - accept all changes.  Table will be mangled.

According to the "reviewing pane", it appears that the entire row is selected as being deleted (in the .doc) instead of just the text phrase "SUB" (in the .docx)

Confirmed on Linux with LO version 4.5dev, 4.3.3, last40onmaster, last36onmaster
Confirmed on Windows with LO version 4.3.3
Comment 1 Justin L 2014-12-18 12:16:08 UTC
Created attachment 110983 [details]
another testcase.  Replicated: beginning with Word 2013 and simple table
Comment 2 Justin L 2014-12-18 12:31:44 UTC
Created attachment 110986 [details]
review pane results:  page1=no LibreOffice, no error.  Page2=LibreOffice save alteration
Comment 3 Buovjaga 2015-01-13 18:22:51 UTC
Repro with both files.

Win 8.1 32-bit
MSO 2013

LibO Version: 4.5.0.0.alpha0+
Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44
Comment 4 Justin L 2015-04-14 14:26:12 UTC
Created attachment 114786 [details]
fairly comprehensive testing suite with results PDF

I can "fix" this particulalr problem by forcing bool SwWW8AttrIter::IncludeEndOfParaCRInRedlineProperties( sal_Int32 nEnd ) to return true;  (sw/source/filter/ww8/wrtw8nds.cxx).  Of course, doing that indiscriminately will break other things...
Comment 5 Justin L 2015-04-16 11:00:48 UTC
Created attachment 114823 [details]
slightly expanded comprehensive testing document

suggested fix submitted:  https://gerrit.libreoffice.org/#/c/15340/
Comment 6 Commit Notification 2015-07-15 23:24:33 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1b123896d5b0a96c2959b6b6768c7cffabafd4f

tdf#87437 exclude CR/cell break from redline deletions

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-07 13:53:10 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f7eeb007050d7bc4606f3c3e8221175d92ab06b

related to tdf#87437:  prevent null pointer function call

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-07 17:09:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15c2e6c8c6bfdb05ca0cb4f09835828123c95b49&h=libreoffice-5-0

tdf#87437 exclude CR/cell break from redline deletions

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.